function DATAinsert = cellMakerEL(IDcentralina,DTcatena,NodeNum,cEL,ListaDate,ARRAYdate_EL,...
    DatiExtensometer,DatiNTCExtensometer,Carico_ass,Sforzo,Calcolo_Carico,ErrExtensometerLink,ChEL,EL_NTC)

l = ListaDate;
DATAinsert = cell(l,8);
for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdate_EL(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdate_EL(ii),'HH:MM:SS');
    DATAinsert{ii,6} = DatiExtensometer(ii,cEL);
    if ChEL(cEL) >= 2
        if EL_NTC(cEL) == 1
            DATAinsert{ii,7} = DatiNTCExtensometer(ii,cEL);
        end
    end
    DATAinsert{ii,8} = ErrExtensometerLink(ii,cEL);
    if Calcolo_Carico == 1
       DATAinsert{ii,9} = Carico_ass(ii,cEL);
       DATAinsert{ii,10} = Sforzo(ii,cEL);
    end
end

end
